[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.LazarusResourceTypeValid

Determines if the specified resource type is valid for the image format.

## Declaration

Source position: graphics.pp line 1662

`public function TCustomIcon.LazarusResourceTypeValid(`
`const ResourceType: string`
`):Boolean; override;`

## Arguments

`ResourceType` |  | Resource type identifier examined in the method.

## Function result

True when the resource type identifier is valid for the image format.

## Description

LazarusResourceTypeValid is an overridden Boolean function used to determine if the specified resource type is valid for the image format.

The return value is True when ResourceType contains 'ICO' or 'ICON'. The inherited method is called to get the return value when ResourceType contains any other resource type name. Case is not significant when comparing the value in ResourceType; it is converted to uppercase in the method.

## See also

TGraphic.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TCustomBitmap.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TFPImageBitmap.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TIcnsIcon.LazarusResourceTypeValid |  | Checks whether the specified Resource Type name is valid for the icon type.
TCursorImage.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.